Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class PropertyFile.Entry

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry

Enclosing class:
  PropertyFile

public static class PropertyFile.Entry
extends java.lang.Object

Instance of this class represents nested elements of a task propertyfile.

Nested Class Summary
`static class` | `PropertyFile.Entry.Operation` Enumerated attribute with the values "+", "-", "="
`static class` | `PropertyFile.Entry.Type` Enumerated attribute with the values "int", "date" and "string".

Constructor Summary
`PropertyFile.Entry()`

Method Summary
`protected void` | `executeOn(java.util.Properties props)`
`void` | `setDefault(java.lang.String value)` Initial value to set for a property if it is not already defined in the property file.
`void` | `setKey(java.lang.String value)` Name of the property name/value pair
`void` | `setOperation(PropertyFile.Entry.Operation value)` operation to apply.
`void` | `setPattern(java.lang.String value)` For int and date type only.
`void` | `setType(PropertyFile.Entry.Type value)` Regard the value as : int, date or string (default)
`void` | `setUnit(PropertyFile.Unit unit)` The unit of the value to be applied to date +/- operations.
`void` | `setValue(java.lang.String value)` Value to set (=), to add (+) or subtract (-)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyFile.Entry

    public PropertyFile.Entry()

Method Detail

### setKey

    public void setKey(java.lang.String value)

  Name of the property name/value pair

### setValue

    public void setValue(java.lang.String value)

  Value to set (=), to add (+) or subtract (-)

### setOperation

    public void setOperation(PropertyFile.Entry.Operation value)

  operation to apply. "+" or "=" (default) for all datatypes; "-" for date and int only)\.

### setType

    public void setType(PropertyFile.Entry.Type value)

  Regard the value as : int, date or string (default)

### setDefault

    public void setDefault(java.lang.String value)

  Initial value to set for a property if it is not already defined in the property file. For type date, an additional keyword is allowed: "now"

### setPattern

    public void setPattern(java.lang.String value)

  For int and date type only. If present, Values will be parsed and formatted accordingly.

### setUnit

    public void setUnit(PropertyFile.Unit unit)

  The unit of the value to be applied to date +/- operations. Valid Values are:
  - millisecond
  - second
  - minute
  - hour
  - day (default)
  - week
  - month
  - year
  This only applies to date types using a +/- operation.

  Since:
    Ant 1.5

### executeOn

    protected void executeOn(java.util.Properties props)
                      throws BuildException

    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.